Function
dagShortestPath
Computes shortest paths from a single source in a directed acyclic graph (DAG).
dagShortestPath(g, source, weight, predecessor, distance)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A directed acyclic graph. Types: Directed Graph
source | In-parameter:A source vertex. Types: VertexDescriptor
weight | In-parameter:A weight map. Remarks: In a directed acyclic graph edge weights can be negative because no cycles do exist.
predecessor | Out-parameter:A property map. Remarks: A property map that represents predecessor relationships among vertices. It determines a shortest-paths tree.
distance | Out-parameter:A property map. Remarks: Indicates for each vertex the distance from the source.

Return Values
void.
See Also
dijkstra, bellmanFordAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58